POST /api/endpoint/protection_updates_note/{package_policy_id}

Spaces method and path for this operation:

post /s/{space_id}/api/endpoint/protection_updates_note/{package_policy_id}

Refer to Spaces for more information.

Create or update the protection updates note for a package policy.

Path parameters

  • package_policy_id string Required

    The package policy ID to create or update the protection updates note for.

application/json

Body Required

  • note string

    The note content.

Responses

  • 200 application/json

    Indicates a successful call.

    Hide response attribute Show response attribute object
    • note string

      A note associated with the protection updates for the given package policy.

POST /api/endpoint/protection_updates_note/{package_policy_id}
curl \
 --request POST 'https://<KIBANA_URL>/api/endpoint/protection_updates_note/{package_policy_id}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"note":"Pinned protection updates to 2025-01-01 while validating new signatures."}'
Request example
{
  "note": "Pinned protection updates to 2025-01-01 while validating new signatures."
}
Response examples (200)
{
  "note": "Pinned protection updates to 2025-01-01 while validating new signatures."
}